> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Huggingface Preview



## OpenAPI

````yaml /openapi.json post /v1/integrations/huggingface/preview
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/integrations/huggingface/preview:
    post:
      tags:
        - Hugging Face
      summary: Huggingface Preview
      operationId: huggingface_preview_v1_integrations_huggingface_preview_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HuggingFacePreviewRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HuggingFacePreviewResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    HuggingFacePreviewRequest:
      properties:
        config_name:
          default: default
          minLength: 1
          title: Config Name
          type: string
        dataset_repo_id:
          minLength: 1
          title: Dataset Repo Id
          type: string
        experiment_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Experiment Id
        mapping:
          anyOf:
            - $ref: '#/components/schemas/HuggingFaceImportMapping'
            - type: 'null'
        preview_rows:
          default: 5
          maximum: 20
          minimum: 1
          title: Preview Rows
          type: integer
        row_limit:
          default: 100
          exclusiveMinimum: 0
          title: Row Limit
          type: integer
        row_offset:
          default: 0
          minimum: 0
          title: Row Offset
          type: integer
        split_name:
          default: train
          minLength: 1
          title: Split Name
          type: string
        target_modality:
          anyOf:
            - enum:
                - text
                - image
                - audio
                - video
              type: string
            - type: 'null'
          title: Target Modality
      required:
        - dataset_repo_id
      title: HuggingFacePreviewRequest
      type: object
    HuggingFacePreviewResponse:
      properties:
        compatibility:
          $ref: '#/components/schemas/HuggingFaceCompatibilityResponse'
        rows:
          items:
            $ref: '#/components/schemas/HuggingFacePreviewRow'
          title: Rows
          type: array
      required:
        - rows
        - compatibility
      title: HuggingFacePreviewResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HuggingFaceImportMapping:
      properties:
        anchor:
          $ref: '#/components/schemas/HuggingFaceImportAnchorMapping'
        candidates:
          items:
            $ref: '#/components/schemas/HuggingFaceImportCandidateMapping'
          minItems: 2
          title: Candidates
          type: array
        metadata_columns:
          items:
            type: string
          title: Metadata Columns
          type: array
        mode:
          const: wide_benchmark
          default: wide_benchmark
          title: Mode
          type: string
        text_pair_patch:
          anyOf:
            - $ref: '#/components/schemas/HuggingFaceTextPairPatchMapping'
            - type: 'null'
      required:
        - anchor
        - candidates
      title: HuggingFaceImportMapping
      type: object
    HuggingFaceCompatibilityResponse:
      properties:
        available_columns:
          items:
            additionalProperties: true
            type: object
          title: Available Columns
          type: array
        candidate_modality:
          anyOf:
            - enum:
                - text
                - image
                - audio
                - video
              type: string
            - type: 'null'
          title: Candidate Modality
        config_name:
          title: Config Name
          type: string
        dataset_repo_id:
          title: Dataset Repo Id
          type: string
        dedupe:
          anyOf:
            - $ref: '#/components/schemas/HuggingFaceImportDedupeStatus'
            - type: 'null'
        direct_media_delivery:
          anyOf:
            - $ref: '#/components/schemas/HuggingFaceMediaDeliveryCheck'
            - type: 'null'
        errors:
          items:
            additionalProperties: true
            type: object
          title: Errors
          type: array
        layout_kind:
          anyOf:
            - enum:
                - native_parquet
                - auto_converted_parquet
              type: string
            - type: 'null'
          title: Layout Kind
        mapping:
          anyOf:
            - $ref: '#/components/schemas/HuggingFaceImportMapping'
            - type: 'null'
        proxy_fallback:
          anyOf:
            - $ref: '#/components/schemas/HuggingFaceMediaDeliveryCheck'
            - type: 'null'
        resolved_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved Sha
        row_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Row Count
        split_name:
          title: Split Name
          type: string
        status:
          enum:
            - compatible
            - requires_mapping
            - incompatible
            - temporarily_unavailable
            - quota_exceeded
          title: Status
          type: string
        storage_policy:
          const: hybrid
          default: hybrid
          title: Storage Policy
          type: string
        warnings:
          items:
            type: string
          title: Warnings
          type: array
      required:
        - status
        - dataset_repo_id
        - config_name
        - split_name
      title: HuggingFaceCompatibilityResponse
      type: object
    HuggingFacePreviewRow:
      properties:
        anchor_text:
          title: Anchor Text
          type: string
        candidates:
          items:
            additionalProperties: true
            type: object
          title: Candidates
          type: array
        metadata:
          additionalProperties: true
          title: Metadata
          type: object
        row_idx:
          title: Row Idx
          type: integer
      required:
        - row_idx
        - anchor_text
        - candidates
      title: HuggingFacePreviewRow
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    HuggingFaceImportAnchorMapping:
      properties:
        column:
          minLength: 1
          title: Column
          type: string
        type:
          const: text
          title: Type
          type: string
      required:
        - type
        - column
      title: HuggingFaceImportAnchorMapping
      type: object
    HuggingFaceImportCandidateMapping:
      properties:
        candidate_key:
          maxLength: 128
          minLength: 1
          title: Candidate Key
          type: string
        candidate_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Candidate Label
        column:
          minLength: 1
          title: Column
          type: string
        type:
          enum:
            - text
            - image
            - audio
            - video
          title: Type
          type: string
      required:
        - type
        - column
        - candidate_key
      title: HuggingFaceImportCandidateMapping
      type: object
    HuggingFaceTextPairPatchMapping:
      properties:
        anchor_column:
          default: __derived_prompt
          minLength: 1
          title: Anchor Column
          type: string
        output_mode:
          default: suffix
          enum:
            - suffix
            - full
          title: Output Mode
          type: string
        source_columns:
          items:
            type: string
          maxItems: 2
          minItems: 2
          title: Source Columns
          type: array
        type:
          const: paired_text_common_prefix
          default: paired_text_common_prefix
          title: Type
          type: string
      required:
        - source_columns
      title: HuggingFaceTextPairPatchMapping
      type: object
    HuggingFaceImportDedupeStatus:
      properties:
        blocking:
          default: false
          title: Blocking
          type: boolean
        duplicate_sample_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duplicate Sample Count
        existing_import_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Existing Import Id
        existing_import_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Existing Import Status
        reason:
          default: ''
          title: Reason
          type: string
        status:
          default: none
          enum:
            - none
            - exact_import
            - sample_overlap
            - retryable_failed
          title: Status
          type: string
        total_sample_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Sample Count
      title: HuggingFaceImportDedupeStatus
      type: object
    HuggingFaceMediaDeliveryCheck:
      properties:
        range_supported:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Range Supported
        supported:
          title: Supported
          type: boolean
      required:
        - supported
      title: HuggingFaceMediaDeliveryCheck
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````